Summary:    A single network diagnostic tool consists of 'traceroute' and 'ping'
Name:       mtr
Version:    0.95
Release:    5%{?dist}
License:    GPLv2
URL:        https://www.bitwizard.nl/mtr/
Source0:    https://github.com/traviscross/mtr/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    net-x%{name}.desktop

BuildRequires: gcc make automake autoconf libtool git
BuildRequires: ncurses-devel libcap-devel jansson-devel

%description
mtr combines the functionality of the 'traceroute' and 'ping' programs in
a single network diagnostic tool.

As mtr starts, it investigates the network connection between the host mtr
runs on and a user-specified destination host. After it determines the address
of each network hop between the machines, it sends a sequence ICMP ECHO requests
to each one to determine the quality of the link to each machine. As it does
this, it prints running statistics about each machine.

%package gtk
Summary: GTK interface for MTR
BuildRequires: gtk3-devel desktop-file-utils
Requires: %{name} = %{version}-%{release}

%description gtk
MTR provides two user interfaces: an ncurses interface, useful for the
command line, e.g. for SSH sessions; and a GTK interface for X (provided
in the mtr-gtk package).

%prep
%setup -q

%build
./bootstrap.sh
%configure --with-gtk
%make_build && mv -f mtr xmtr && make distclean
%configure --without-gtk
%make_build

%install
%make_install
install -D -p -m 0755 xmtr %{buildroot}%{_bindir}/xmtr
install -D -p -m 0644 img/mtr_icon.xpm %{buildroot}%{_datadir}/pixmaps/mtr_icon.xpm
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%license COPYING
%doc AUTHORS FORMATS NEWS README.md SECURITY
%{_sbindir}/%{name}
%attr(0755,root,root) %caps(cap_net_raw=pe) %{_sbindir}/%{name}-packet
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}-packet.8*

%files gtk
%{_bindir}/xmtr
%{_datadir}/pixmaps/mtr_icon.xpm
%{_datadir}/applications/net-x%{name}.desktop

%changelog
* Tue Mar 19 2024 Rebuild Robot <rebot@opencloudos.org> - 0.95-5
- Rebuilt for jansson

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.95-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.95-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.95-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 8 2022 Minjie HUANG <jackmjhuang@tencent.com> - 0.95-1
- Initial build.
